<?php

namespace App\Http\Controllers;

use App\Transformers\LoginTransformer;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use Tymon\JWTAuth\Facades\JWTAuth;
class AuthController extends Controller
{

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(JWTAuth $jwt)
    {
    }

//    /**
//     * 登录
//     * @param Request $request
//     * @return mixed
//     * @deprecated
//     */
    public function authenticate(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'username' => 'required',
            'password' => 'required',
        ]);
        if ($validator->fails()) {
            return $this->response->error($validator->errors()->first(), 500);
        }
//        echo Hash::make('123456');
        $credentials = $request->only(['username', 'password']);
        if (!$token = Auth::attempt($credentials)) {
            return $this->response->error('登录失败，请重试', 401);
        }

        $users = Auth::user();
        $users->token = $token;

        return $this->response->item($users, new LoginTransformer());
    }

}
