<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/3
 * Time: 14:36
 */

namespace App\Http\Controllers;


use App\Repositories\MetaRepository;
use App\Transformers\MetaTransformer;
use Illuminate\Http\Request;
use League\Fractal\Manager;
use League\Fractal\Resource\Collection;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;
use Illuminate\Support\Facades\Validator;
use Illuminate\Validation\Rule;

class IndexController extends Controller
{
    public function __construct(MetaRepository $metaRepository)
    {
        $this->metaRepository = $metaRepository;
    }

    public function index(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'patch_num' => 'required'
        ]);
        if ($validator->fails()) {
            return $this->response->error($validator->errors()->first(), 500);
        }
        $meta = $this->metaRepository->view($request->all());
        if($meta){
            return $this->response->item($meta, new MetaTransformer());
        }
        return $this->response->error('该批次信息不存在', 500);
    }
}