<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMetaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('meta', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('patch_num')->default('')->comment('批次号');
            $table->dateTime('produce_date')->nullable()->comment('产蛋时间');
            $table->string('variety')->default('')->comment('鸡种');
            $table->string('variety_img')->default('')->comment('鸡种图片');
            $table->string('age')->default('')->comment('鸡龄');
            $table->string('food')->default('')->comment('口粮');
            $table->string('food_img')->default('')->comment('口粮图片');
            $table->string('water')->default('')->comment('水源');
            $table->string('water_img')->default('')->comment('水源图片');
            $table->string('logistical')->default('')->comment('物流追踪');
            $table->text('farm')->comment('农场');
            $table->text('report')->comment('检测报告');
            $table->string('zip')->default('')->comment('zip包地址');

            $table->string('trans_id')->default('')->comment('交易ID');
            $table->string('block_height')->default(0)->comment('区块高度');
            $table->string('block_time')->default('')->comment('上链时间');
            $table->string('md5')->default('')->comment('meta信息md5码');
            $table->tinyInteger('status')->default(0)->comment('上链状态 0准备上链 1上链成功 2上链失败');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('meta');
    }
}
